package wtf.opal.event.impl.game.server;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.network.ServerAddress;
import wtf.opal.event.EventCancellable;

@Environment(EnvType.CLIENT)
public final class ServerConnectEvent extends EventCancellable {
   private final ServerAddress serverAddress;

   public ServerConnectEvent(ServerAddress serverAddress) {
      this.serverAddress = serverAddress;
   }

   public ServerAddress getServerAddress() {
      return this.serverAddress;
   }
}
